Package ru.bitel.bgbilling.kernel.customer.common.bean

# Enum Class CustomerContactType

java.lang.Object
java.lang.Enum<CustomerContactType>
ru.bitel.bgbilling.kernel.customer.common.bean.CustomerContactType

All Implemented Interfaces:
  `Serializable`, `Comparable<CustomerContactType>`, `Constable`

public enum CustomerContactType extends Enum<CustomerContactType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EMAIL`
  `MOBILE`
  `PHONE`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `description`
  `String`
  `key`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CustomerContactType`
  `getContactTypeByKey(String key)`
  `static CustomerContactType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CustomerContactType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EMAIL

    public static final CustomerContactType EMAIL

  - ### MOBILE

    public static final CustomerContactType MOBILE

  - ### PHONE

    public static final CustomerContactType PHONE

- ## Field Details

  - ### key

    public String key

  - ### description

    public String description

- ## Method Details

  - ### values

    public static CustomerContactType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CustomerContactType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getContactTypeByKey

    public static CustomerContactType getContactTypeByKey(String key)